package com.mx.dla.dda.factura.general.dtos;

import java.util.Date;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class FacturaGeneralDTO extends BaseDTO {

	private static final long serialVersionUID = 1L;
	
	private Long    idFactura;
	private Long    idEstudio;
	private String  numeroFactura;
	private Date    fechaFactura;
	private String  monto;
	private Integer sharepoint;
	private Integer approved;
	private Integer sap;
	private String  idSapRegistro;
	private String  idSapPagada;
	private String  pagado;
	private String  adeudo;
	private String  comentario;
	private String  indicadorIva;
	private String  posicion;   
	private Date    fechaSapI17;   
	private Date    fechaSapI32;   
	private String  docMaterial;   
	private Date    fechaSapI14;   
	private String    facturaI14;   
	private Date    fechaSapI16;   
	private String  doctoSapI16;   
	private String  tipoPago;   

	private List<FacturaDetalleLDTO> facturaDetalles;
	private List<ContratoFacturaDTO> contratos;

	public String getNumeroFactura() {
		return numeroFactura;
	}

	public void setNumeroFactura(String numeroFactura) {
		this.numeroFactura = numeroFactura;
	}

	public Date getFechaFactura() {
		return fechaFactura;
	}

	public void setFechaFactura(Date fechaFactura) {
		this.fechaFactura = fechaFactura;
	}

	public String getMonto() {
		return monto;
	}

	public void setMonto(String monto) {
		this.monto = monto;
	}

	public Integer getSharepoint() {
		return sharepoint;
	}

	public void setSharepoint(Integer sharepoint) {
		this.sharepoint = sharepoint;
	}

	public Integer getApproved() {
		return approved;
	}

	public void setApproved(Integer approved) {
		this.approved = approved;
	}

	public Integer getSap() {
		return sap;
	}

	public void setSap(Integer sap) {
		this.sap = sap;
	}

	public String getIdSapRegistro() {
		return idSapRegistro;
	}

	public void setIdSapRegistro(String idSapRegistro) {
		this.idSapRegistro = idSapRegistro;
	}

	public String getIdSapPagada() {
		return idSapPagada;
	}

	public void setIdSapPagada(String idSapPagada) {
		this.idSapPagada = idSapPagada;
	}

	public String getPagado() {
		return pagado;
	}

	public void setPagado(String pagado) {
		this.pagado = pagado;
	}

	public String getAdeudo() {
		return adeudo;
	}

	public void setAdeudo(String adeudo) {
		this.adeudo = adeudo;
	}

	public String getComentario() {
		return comentario;
	}

	public void setComentario(String comentario) {
		this.comentario = comentario;
	}

	public Long getIdEstudio() {
		return idEstudio;
	}

	public void setIdEstudio(Long idEstudio) {
		this.idEstudio = idEstudio;
	}

	public Long getIdFactura() {
		return idFactura;
	}

	public void setIdFactura(Long idFactura) {
		this.idFactura = idFactura;
	}

	public List<FacturaDetalleLDTO> getFacturaDetalles() {
		return facturaDetalles;
	}

	public void setFacturaDetalles(List<FacturaDetalleLDTO> facturaDetalles) {
		this.facturaDetalles = facturaDetalles;
	}

	
	public List<ContratoFacturaDTO> getContratos() {
		return contratos;
	}

	public void setContratos(List<ContratoFacturaDTO> contratos) {
		this.contratos = contratos;
	}

	public String getIndicadorIva() {
		return indicadorIva;
	}

	public void setIndicadorIva(String indicadorIva) {
		this.indicadorIva = indicadorIva;
	}

	public String getTipoPago() {
		return tipoPago;
	}

	public void setTipoPago(String tipoPago) {
		this.tipoPago = tipoPago;
	}

	public String getPosicion() {
		return posicion;
	}

	public void setPosicion(String posicion) {
		this.posicion = posicion;
	}

	public Date getFechaSapI17() {
		return fechaSapI17;
	}

	public void setFechaSapI17(Date fechaSapI17) {
		this.fechaSapI17 = fechaSapI17;
	}

	public Date getFechaSapI32() {
		return fechaSapI32;
	}

	public void setFechaSapI32(Date fechaSapI32) {
		this.fechaSapI32 = fechaSapI32;
	}

	public String getDocMaterial() {
		return docMaterial;
	}

	public void setDocMaterial(String docMaterial) {
		this.docMaterial = docMaterial;
	}

	public Date getFechaSapI14() {
		return fechaSapI14;
	}

	public void setFechaSapI14(Date fechaSapI14) {
		this.fechaSapI14 = fechaSapI14;
	}

	public String getFacturaI14() {
		return facturaI14;
	}

	public void setFacturaI14(String facturaI14) {
		this.facturaI14 = facturaI14;
	}

	public Date getFechaSapI16() {
		return fechaSapI16;
	}

	public void setFechaSapI16(Date fechaSapI16) {
		this.fechaSapI16 = fechaSapI16;
	}

	public String getDoctoSapI16() {
		return doctoSapI16;
	}

	public void setDoctoSapI16(String doctoSapI16) {
		this.doctoSapI16 = doctoSapI16;
	}
	
	
	
}
